Bug 212171 - russian/wordpress: Update to 4.6
Summary: russian/wordpress: Update to 4.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL: https://codex.wordpress.org/Version_4.6
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2016-08-26 06:34 UTC by Mikhail Timofeev
Modified: 2016-09-06 19:23 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback? (9267096)


Attachments
ru-wordpress.diff (985 bytes, text/plain)
2016-08-26 06:34 UTC, Mikhail Timofeev
9267096: maintainer-approval+
Details
poudriere ru-wordpress-4.6.log (17.36 KB, text/plain)
2016-08-26 16:26 UTC, Mikhail Timofeev
9267096: maintainer-approval+
Details
ru-wordpress.diff (965 bytes, patch)
2016-08-31 12:22 UTC, Mikhail Timofeev
9267096: maintainer-approval+
Details | Diff
ru-wordpress.diff (1.19 KB, patch)
2016-09-01 02:37 UTC, Mikhail Timofeev
no flags Details | Diff
ru-wordpress.diff (2.18 KB, patch)
2016-09-02 02:42 UTC, Mikhail Timofeev
9267096: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Timofeev 2016-08-26 06:34:46 UTC
Created attachment 174087 [details]
ru-wordpress.diff

Update to 4.6
https://codex.wordpress.org/Version_4.6
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-26 11:03:06 UTC
Thank you Mikhail

Could you please:

* Set maintainer-approval flag to + on attachments for ports you are MAINTAINER of. Attachment -> Details -> maintainer-approval [+]

* Confirm this change passes QA (portlint, poudriere). For mroe information and instructions, see:

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing-poudriere.html
Comment 2 Mikhail Timofeev 2016-08-26 16:26:01 UTC
Created attachment 174100 [details]
poudriere ru-wordpress-4.6.log

added poudriere ru-wordpress-4.6.log
Comment 3 Dmitry Marakasov freebsd_committer 2016-08-30 16:03:29 UTC
The patch is invalid, has CRLF line endings.
Comment 4 Mikhail Timofeev 2016-08-31 12:09:58 UTC
(In reply to Dmitry Marakasov from comment #3)
> The patch is invalid, has CRLF line endings.

the patch was created from the web interface
Comment 5 Mikhail Timofeev 2016-08-31 12:22:36 UTC
Created attachment 174247 [details]
ru-wordpress.diff
Comment 6 Dmitry Marakasov freebsd_committer 2016-08-31 16:41:10 UTC
distinfo is incorrect. http://ru.wordpress.org/wordpress-4.6-ru_RU.tar.gz has sha/size

972f6289028d886dada61f23630b1c42fb7fe078bffcf531673c29b75f12335e 8436885

while distinfo lists

c7d331fb98ed4707102dcf09b17b3069fd676e5ffa5b3d5cc09f254276081f1f 8436865
Comment 7 Mikhail Timofeev 2016-09-01 02:37:08 UTC
Created attachment 174278 [details]
ru-wordpress.diff

Update distinfo: tarball rerolled
Remove WANT_PHP_WEB
Comment 8 Dmitry Marakasov freebsd_committer 2016-09-01 14:17:09 UTC
The patch contains broken line endings again.
Comment 9 Dmitry Marakasov freebsd_committer 2016-09-01 14:41:15 UTC
Also whitespace is broken on USES line (must use tabs, not spaces)
Comment 10 Mikhail Timofeev 2016-09-02 02:42:59 UTC
Created attachment 174304 [details]
ru-wordpress.diff

OMG! last-ditch effort -)
Comment 11 Dmitry Marakasov freebsd_committer 2016-09-06 19:22:30 UTC
Committed with minor change (no need to revert useful fixes from r417369).
Comment 12 commit-hook freebsd_committer 2016-09-06 19:23:20 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Sep  6 19:22:26 UTC 2016
New revision: 421461
URL: https://svnweb.freebsd.org/changeset/ports/421461

Log:
  - Update to 4.6

  PR:		212171
  Submitted by:	9267096@gmail.com (maintainer)

Changes:
  head/russian/wordpress/Makefile
  head/russian/wordpress/distinfo